
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JS 操作Array数组的方法及属性实例 / iVAN</title>

    <meta name="description" content="JS 操作Array数组的方法及属性实例  本篇文章主要是对JS操作Array数组的方法及属性进行了详细的介绍,需要的朋友可以过来参考下,希望对大家有所帮助 本文总结了Array数组的3个属性,length 属性.prototype 属性.constructor 属性使用,并附注数组对象的8个分类及多个方法使用,具体如下:   对象的3个属性 1.length 属性   length 属性 Length属性表示数组的长度,即其中元素的个数.因为数组的索引总是由0开始,所以一个数组的上下限分别是:0和length-1.和其他大多数不同的是">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">JS 操作Array数组的方法及属性实例</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 本篇文章主要是对JS操作Array数组的方法及属性进行了详细的介绍，需要的朋友可以过来参考下，希望对大家有所帮助</p>
<p>本文总结了Array数组的3个属性，length 属性、prototype 属性、constructor 属性使用，并附注数组对象的8个分类及多个方法使用,具体如下：<br />
 <br />
对象的3个属性<br />
1、length 属性<br />
 <br />
length 属性<br />
Length属性表示数组的长度，即其中元素的个数。因为数组的索引总是由0开始，所以一个数组的上下限分别是：0和length-1。和其他大多数不同的是，JavaScript数组的length属性是可变的，这一点需要特别注意。当length属性被设置得更大时，整个数组的状态事实上不会发生变化，仅仅是length属性变大；当length属性被设置得比原来小时，则原先数组中索引大于或等于length的元素的值全部被丢失。下面是演示改变length属性的例子：<br />
 <br />
var arr=[12,23,5,3,25,98,76,54,56,76];//定义了一个包含10个数字的数组<br />
alert(arr.length); //显示数组的长度10<br />
arr.length=12; //增大数组的长度<br />
alert(arr.length); //显示数组的长度已经变为12<br />
alert(arr[8]); //显示第9个元素的值，为56<br />
arr.length=5; //将数组的长度减少到5，索引等于或超过5的元素被丢弃<br />
alert(arr[8]); //显示第9个元素已经变为"undefined"<br />
arr.length=10; //将数组长度恢复为10<br />
alert(arr[8]); //虽然长度被恢复为10，但第9个元素却无法收回，显示"undefined"<br />
 <br />
由上面的代码我们可以清楚的看到length属性的性质。但length对象不仅可以显式的设置，它也有可能被隐式修改。JavaScript中可以使用一个未声明过的变量，同样，也可以使用一个未定义的数组元素（指索引超过或等于length的元素），这时，length属性的值将被设置为所使用元素索引的值加1。例如下面的代码：<br />
 <br />
var arr=[12,23,5,3,25,98,76,54,56,76];//定义了一个包含10个数字的数组<br />
alert(arr.length);//显示10<br />
arr[15]=34;<br />
alert(arr.length);//显示16<br />
 <br />
代码中同样是先定义了一个包含10个数字的数组，通过alert语句可以看出其长度为10。随后使用了索引为15的元素，将其赋值为15，即arr[15]=34，这时再用alert语句输出数组的长度，得到的是16。无论如何，对于习惯于强类型编程的开发人员来说，这是一个很令人惊讶的特性。事实上，使用new Array()形式创建的数组，其初始长度就是为0，正是对其中未定义元素的操作，才使数组的长度发生变化。<br />
 <br />
由上面的介绍可以看到，length属性是如此的神奇，利用它可以方便的增加或者减少数组的容量。因此对length属性的深入了解，有助于在开发过程中灵活运用。<br />
 <br />
2、prototype 属性<br />
 <br />
prototype 属性<br />
返回对象类型原型的引用。prototype 属性是 object 共有的。<br />
 <br />
objectName.prototype<br />
 <br />
objectName 参数是object对象的名称。<br />
 <br />
说明：用 prototype 属性提供对象的类的一组基本功能。 对象的新实例“继承”赋予该对象原型的操作。<br />
 <br />
对于数组对象，以以下例子说明prototype 属性的用途。<br />
 <br />
给数组对象添加返回数组中最大元素值的方法。要完成这一点，声明一个函数，将它加入 Array.prototype， 并使用它。<br />
 <br />
function array_max( )<br />
{<br />
   var i, max = this[0];<br />
   for (i = 1; i &lt; this.length; i++)<br />
   {<br />
       if (max &lt; this[i])<br />
       max = this[i];<br />
   }<br />
   return max;<br />
}<br />
 <br />
Array.prototype.max = array_max;<br />
var x = new Array(1, 2, 3, 4, 5, 6);<br />
var y = x.max( );<br />
 <br />
该代码执行后，y 保存数组 x 中的最大值，或说 6。<br />
 <br />
3、constructor 属性<br />
 <br />
constructor 属性<br />
表示创建对象的函数。<br />
 <br />
object.constructor //object是对象或函数的名称。<br />
 <br />
说明：constructor 属性是所有具有 prototype 的对象的成员。它们包括除 Global 和 Math 对象以外的所有 JScript 固有对象。constructor 属性保存了对构造特定对象实例的函数的引用。<br />
 <br />
例如：<br />
 <br />
x = new String("Hi");<br />
if (x.constructor == String) // 进行处理（条件为真）。<br />
//或<br />
function MyFunc {<br />
// 函数体。<br />
}<br />
 <br />
y = new MyFunc;<br />
if (y.constructor == MyFunc) // 进行处理（条件为真）。<br />
 <br />
对于数组来说：<br />
y = new Array();<br />
 <br />
数组对象的8个分类及多个方法<br />
 <br />
1.数组的创建<br />
 <br />
var arrayObj = new Array();　//创建一个默认数组，长度是0<br />
var arrayObj = new Array(size);　//创建一个size长度的数组，注意Array的长度是可变的，所以不是上限，是长度<br />
var arrayObj = new Array(item1,item2,);　//创建一个数组并赋初值<br />
要说明的是，虽然第二种方法创建数组指定了长度，但实际上所有情况下数组都是变长的，也就是说即使指定了长度为5，仍然可以将元素存储在规定长度以外的，注意：这时长度会随之改变。<br />
 <br />
2、数组的元素的访问<br />
 <br />
var ArrayItemValue=arrayObj[1]; //获取数组的元素值<br />
arrayObj[1]= "要赋予新值"; //给数组元素赋予新的值<br />
 <br />
本文总结了Array数组的3个属性，length 属性、prototype 属性、constructor 属性使用，并附注数组对象的8个分类及多个方法使用,具体如下：<br />
 <br />
对象的3个属性<br />
1、length 属性<br />
 <br />
length 属性<br />
Length属性表示数组的长度，即其中元素的个数。因为数组的索引总是由0开始，所以一个数组的上下限分别是：0和length-1。和其他大多数语言不同的是，JavaScript数组的length属性是可变的，这一点需要特别注意。当length属性被设置得更大时，整个数组的状态事实上不会发生变化，仅仅是length属性变大；当length属性被设置得比原来小时，则原先数组中索引大于或等于length的元素的值全部被丢失。下面是演示改变length属性的例子：<br />
 <br />
var arr=[12,23,5,3,25,98,76,54,56,76];//定义了一个包含10个数字的数组<br />
alert(arr.length); //显示数组的长度10<br />
arr.length=12; //增大数组的长度<br />
alert(arr.length); //显示数组的长度已经变为12<br />
alert(arr[8]); //显示第9个元素的值，为56<br />
arr.length=5; //将数组的长度减少到5，索引等于或超过5的元素被丢弃<br />
alert(arr[8]); //显示第9个元素已经变为"undefined"<br />
arr.length=10; //将数组长度恢复为10<br />
alert(arr[8]); //虽然长度被恢复为10，但第9个元素却无法收回，显示"undefined"<br />
 <br />
由上面的代码我们可以清楚的看到length属性的性质。但length对象不仅可以显式的设置，它也有可能被隐式修改。JavaScript中可以使用一个未声明过的变量，同样，也可以使用一个未定义的数组元素（指索引超过或等于length的元素），这时，length属性的值将被设置为所使用元素索引的值加1。例如下面的代码：<br />
 <br />
var arr=[12,23,5,3,25,98,76,54,56,76];//定义了一个包含10个数字的数组<br />
alert(arr.length);//显示10<br />
arr[15]=34;<br />
alert(arr.length);//显示16<br />
 <br />
代码中同样是先定义了一个包含10个数字的数组，通过alert语句可以看出其长度为10。随后使用了索引为15的元素，将其赋值为15，即arr[15]=34，这时再用alert语句输出数组的长度，得到的是16。无论如何，对于习惯于强类型编程的开发人员来说，这是一个很令人惊讶的特性。事实上，使用new Array()形式创建的数组，其初始长度就是为0，正是对其中未定义元素的操作，才使数组的长度发生变化。<br />
 <br />
由上面的介绍可以看到，length属性是如此的神奇，利用它可以方便的增加或者减少数组的容量。因此对length属性的深入了解，有助于在开发过程中灵活运用。<br />
 <br />
 <br />
2、prototype 属性<br />
 <br />
prototype 属性<br />
返回对象类型原型的引用。prototype 属性是 object 共有的。<br />
 <br />
objectName.prototype<br />
 <br />
objectName 参数是object对象的名称。<br />
 <br />
说明：用 prototype 属性提供对象的类的一组基本功能。 对象的新实例“继承”赋予该对象原型的操作。<br />
 <br />
对于数组对象，以以下例子说明prototype 属性的用途。<br />
 <br />
给数组对象添加返回数组中最大元素值的方法。要完成这一点，声明一个函数，将它加入 Array.prototype， 并使用它。<br />
 <br />
function array_max( )<br />
{<br />
   var i, max = this[0];<br />
   for (i = 1; i &lt; this.length; i++)<br />
   {<br />
       if (max &lt; this[i])<br />
       max = this[i];<br />
   }<br />
   return max;<br />
}<br />
 <br />
Array.prototype.max = array_max;<br />
var x = new Array(1, 2, 3, 4, 5, 6);<br />
var y = x.max( );<br />
 <br />
该代码执行后，y 保存数组 x 中的最大值，或说 6。<br />
 <br />
3、constructor 属性<br />
 <br />
constructor 属性<br />
表示创建对象的函数。<br />
 <br />
object.constructor //object是对象或函数的名称。<br />
 <br />
说明：constructor 属性是所有具有 prototype 的对象的成员。它们包括除 Global 和 Math 对象以外的所有 JScript 固有对象。constructor 属性保存了对构造特定对象实例的函数的引用。<br />
 <br />
例如：<br />
 <br />
x = new String("Hi");<br />
if (x.constructor == String) // 进行处理（条件为真）。<br />
//或<br />
function MyFunc {<br />
// 函数体。<br />
}<br />
 <br />
y = new MyFunc;<br />
if (y.constructor == MyFunc) // 进行处理（条件为真）。<br />
 <br />
对于数组来说：<br />
y = new Array();<br />
 <br />
数组对象的8个分类及多个方法<br />
 <br />
1.数组的创建<br />
var arrayObj = new Array();　//创建一个默认数组，长度是0<br />
var arrayObj = new Array(size);　//创建一个size长度的数组，注意Array的长度是可变的，所以不是上限，是长度<br />
var arrayObj = new Array(item1,item2,);　//创建一个数组并赋初值<br />
 <br />
要说明的是，虽然第二种方法创建数组指定了长度，但实际上所有情况下数组都是变长的，也就是说即使指定了长度为5，仍然可以将元素存储在规定长度以外的，注意：这时长度会随之改变。<br />
 <br />
2、数组的元素的访问<br />
var ArrayItemValue=arrayObj[1]; //获取数组的元素值<br />
arrayObj[1]= "要赋予新值"; //给数组元素赋予新的值</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-18 09:48:01</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%b1%9e%e6%80%a7/" title="属性">属性</a>, <a href="https://www.iamivan.net/tag/%e5%85%83%e7%b4%a0/" title="元素">元素</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e7%bb%84/" title="数组">数组</a>, <a href="https://www.iamivan.net/tag/length/" title="length">length</a>, <a href="https://www.iamivan.net/tag/%e9%95%bf%e5%ba%a6/" title="长度">长度</a>, <a href="https://www.iamivan.net/tag/%e5%b1%9e%e6%80%a7%e6%95%b0%e7%bb%84/" title="属性数组">属性数组</a>, <a href="https://www.iamivan.net/tag/%e4%b8%8d%e5%90%8c%e9%95%bf%e5%ba%a6%e4%b8%80%e4%b8%aa%e6%95%b0%e7%bb%84/" title="不同长度一个数组">不同长度一个数组</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e7%bb%84%e9%95%bf%e5%ba%a6/" title="数组长度">数组长度</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e7%bb%84%e6%98%be%e7%a4%ba/" title="数组显示">数组显示</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e7%bb%84%e5%af%b9%e8%b1%a1/" title="数组对象">数组对象</a>, <a href="https://www.iamivan.net/tag/array%e5%af%b9%e8%b1%a1/" title="Array对象">Array对象</a>, <a href="https://www.iamivan.net/tag/%e7%ac%aci%e4%b8%aa%e5%85%83%e7%b4%a0/" title="第i个元素">第i个元素</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>JS 操作Array数组的方法及属性实例的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW733AM.html" rel="bookmark">JS 操作Array数组的方法及属性实例解析&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文总结了Array数组的3个属性,length 属性.prototype 属性.constructor 属性使用,并附注数组对象的8个分类及多个方法使用,具体如下: 对象的3个属性1.length 属性 length 属性Length属性表示数组的长度,即其中元素的个数.因为数组的索引总是由0开始,所以一个数组的上下限分别是:0和length-1.和其他大多数不同的是,JavaScript数组的length属性是可变的,这一点需要特别注意.当length属性被设置得更大时,整个数组的状态事实上			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnO0WKz.html" rel="bookmark">JS中Array数组的三大属性用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:JS中Array数组的三大属性用法 Array数组主要有3大属性,它们分别是length属性.prototype属性和constructor属性. JS操作Array数组的方法及属性 本文总结了Array数组的3个属性,length属性.prototype属性.constructor属性使用,并附注Array数组对象的8个分类及多个方法使用,具体如下: 对象的3个属性 1.length属性 length属性 Length属性表示数组的长度,即其中元素的个数.因为数组的索引总是由0开始,所以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdm233z.html" rel="bookmark">js删除Array数组中指定元素的两种方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本节内容: js删除Array数组中指定元素 方法一, /* * 方法:Array.remove(dx) 通过遍历,重构数组 * 功能:删除数组元素. * 参数:dx删除元素的下标. */ Array.prototype.remove=function(dx) { if(isNaN(dx)||dx&gt;this.length){return false;} for(var i=0,n=0;i&lt;this.length;i++) { if(this[i]!=this[dx]) { this[n++]=			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGrQOvp.html" rel="bookmark">Js的Array数组对象详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文为大家分享了关于Js的Array数组对象的相关资料,供大家参考,具体内容如下 1. 介绍1.1 说明 数组是值的有序集合.每个值叫做一个元素,而每个元素在数组中有一个位置,以数字表示,称为索引.JavaScript数组是无类型:数组元素可以是任意类型,并且同一个数组中的不同元素也可能有不同的类型. --&lt;JavaScript权威指南(第六版)&gt; 1.2 定义方式 var names = new Array(&quot;张三&quot;, &quot;李四&quot;, &quot;王五&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmxOOp.html" rel="bookmark">JS随机打乱数组的方法小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例总结了JS随机打乱数组的方法.分享给大家供大家参考,具体如下: JS中,要打乱数组有很多方法,网上流传一个国外人写的方法,我认为是最精简的了: function randomsort(a, b) { return Math.random()&gt;.5 ? -1 : 1; //用Math.random()函数生成0~1之间的随机数与0.5比较,返回-1或1 } var arr = [1, 2, 3, 4, 5]; arr.sort(randomsort); 这里介绍下sort()函数,在JS中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlBADLz.html" rel="bookmark">JS操作HTML自定义属性的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了JS操作HTML自定义属性的方法,以实例形式分析了html中自定义属性的设置与对应的javascript操作技巧,非常具有实用价值,需要的朋友可以参考下     本文实例讲述了JS操作HTML自定义属性的方法.分享给大家供大家参考.具体如下: HTML代码如下(其中的displayName为自定义属性): 代码如下: &lt;input type=&quot;text&quot; id=&quot;txtBox&quot; displayName=&quot;123456&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAwgPZz.html" rel="bookmark">JS操作HTML自定义属性的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JS操作HTML自定义属性的方法.分享给大家供大家参考.具体如下: HTML代码如下(其中的displayName为自定义属性): 复制代码 代码如下: &lt;input type=&quot;text&quot; id=&quot;txtBox&quot; displayName=&quot;123456&quot; /&gt; 获取自定义属性值: 复制代码 代码如下: document.getElementById(&quot;txtBox&quot;).getAttribute(&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQrOPGM.html" rel="bookmark">二维数组融合方法调用的实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 二维数组融合方法调用的实例 我是新手,想看一下,数组中,加入了方法的调用,怎么实现数组能随机生成数 解决方案 不知道你问的什么语言,但是这种简单的问题,自己google下得到答案比问问题更快.各种语言都有随机数生成的函数.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRqrxKb.html" rel="bookmark">jquery操作对象数组元素方法详解&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				代码如下: 复制代码 代码如下:  &lt;div id=&quot;div1&quot;&gt;      &lt;span&gt;a&lt;/span&gt;      &lt;span&gt;b&lt;/span&gt;      &lt;span&gt;c&lt;/span&gt;  &lt;/div&gt; 1.错误方式:不能用[]方式取jquery对象数组,如下: 复制代码 代码如下:  $(function() {      var div_span = $(&quot;#div1 span			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlm7np.html" rel="bookmark" class="title">输出oracle 对象源码</a>
					<div>
						oracle|对象 way 1: 通过spool输出到文件: set serveroutput onspool 'c:\log.txt' DECLARE    v_text VARCHAR2(1000 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGwVnz.html" rel="bookmark" class="title">XML入门教程：认识学习 XML 元素</a>
					<div>
						xml|教程|入门教程 XML元素是可扩展的,它们之间是存在着某些关系. XML元素须遵守一些简单的命名规则. XML元素是可扩展的 XML元素是可被扩展,来携带更多的信息. 请看下面这个XML标签例 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWZnXb.html" rel="bookmark" class="title">更新字符串列表中&comma;指定位置的字符串</a>
					<div>
						字符串 if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[f_updatestr]') and xtype i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxV5Pz.html" rel="bookmark" class="title">PHP正则表达式&colon;PHP中的正则函数</a>
					<div>
						PHP正则表达式主要用于字符串的模式分割.匹配.查找及替换操作.使用正则表达式在某些简单的环境下可能效率不高,因此如何更好的使用PHP正则表达式需要综合考虑. 我的PHP正则入门,是起源于网上的一篇文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK78e7b.html" rel="bookmark" class="title">通过PL&sol;SQL访问Web Services</a>
					<div>
						在Web Services红得发紫的今天,到处都在谈论和使用Web Services:当然,其中有不小一部分是属于业界炒作.Oracle也始终走在技术的最前沿,早在9i时代就发布了扩展包来支持PL/S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwAG3z.html" rel="bookmark" class="title">C&plus;&plus;永久对象存储</a>
					<div>
						C++永久对象存储 (Persistent Object Storage for C++) 简介 描述对象类型 从存储器中分配和释放对象 永久对象协议 存储器构造函数 打开存储器 POST++ 的安装 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4A9jp.html" rel="bookmark" class="title">asp&period;net输出重写压缩页面文件实例代码</a>
					<div>
						 这篇文章主要介绍了asp.net输出重写压缩页面文件实例代码,需要的朋友可以参考下 例子    代码如下: using System; using System.Data; using System ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKkn6p.html" rel="bookmark" class="title">excel表格保护不能编辑如何设置</a>
					<div>
						  excel表格保护设置步骤如下: 打开Excel 2010,选中任意一个单元格,鼠标右键,打开的菜单选择&quot;设置单元格格式&quot;命令 切换到&quot;保护&quot;选项卡,在这里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kVnqz.html" rel="bookmark" class="title">c语言数组详解</a>
					<div>
						 这篇文章主要介绍了c语言数组,有需要的朋友可以参考一下 一 数组名是什么   数组就是一段连续可用的内存. 比如声明一个 int数组   int array[]={1,2,3};   array代表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBRmqz.html" rel="bookmark" class="title">winxp快捷键F1--F12在系统中的妙用</a>
					<div>
						你知道这些键怎样为你节省时间吗? F1:如果你处在一个选定的程序中而需要帮助,那么请按下F1.如果现在不是处在任何程序中,而是处在资源管理器或桌面,那么按下F1就会出现 Windows的帮助程序.如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjN55b.html" rel="bookmark" class="title">爱微帮手机电脑文件互传如何使用</a>
					<div>
						我们经常需要将手机新拍的照片传到电脑上做备份,或者需要将电脑上的电子书.视频内容.一些文字信息发送到手机使用.使用网盘需要在手机和电脑上分别安装同一款网盘之后登陆同步,步骤繁琐.数据线又不能保证随身携 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8a2rp.html" rel="bookmark" class="title">新浪微博如何使用微博高级搜索？</a>
					<div>
						  微博搜索结果默认显示50页,如果想要更精确的搜索结果,请使用微博搜索-高级搜索,搜索按钮后有&quot;高级搜索&quot;按钮,点击即可设置搜索条件,如微博类型.时间.地点等.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8xnYb.html" rel="bookmark" class="title">苹果公司上周召回部分iPad2，但并未在中国发售</a>
					<div>
						中山市场上也有销售美版及港版iPad2,但目前未发现召回的产品.而由于iPad2持续缺货,中山在售的产品价格仍然高企,16GB港版iPad2仍比苹果官方公布的行货价格3688元高出1000元:而有的销 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrK6VM.html" rel="bookmark" class="title">新手站点优化需要注意的几个问题</a>
					<div>
						网站优化问题一: 营销部门在为网站的内容写作上投入了大量资源,但是好象我们在搜索引擎中的排名并不高,效果不理想,而我们竞争对手的排名却很高.我们需要全部重写一遍吗? 十次会有九次回答说&quot;不& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrW19yp.html" rel="bookmark" class="title">调用动态链接库 构造其中类，成员变量vector，构造函数执行后刚构造的对象中成员变量全是乱码</a>
					<div>
						问题描述 调用动态链接库 构造其中类,成员变量vector,构造函数执行后刚构造的对象中成员变量全是乱码 如题 VS2010 c++调用动态链接库 调试发现 构造动态链接库中类的时候,其中的成员变量v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NP8jM.html" rel="bookmark" class="title">那明器：阿里VIE股权架构风险被选择性忽视</a>
					<div>
						&quot;美国投资者虽然知道阿里巴巴VIE的股权架构存在很大的风险,但是目前来看,都选择了忽视,因为这的确是个很大的Deal.&quot;9月16日,美国乐博律师事务所驻北京代表处合伙人那明器告诉财 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjYAep.html" rel="bookmark" class="title">lucene分组统计-lucene的分组统计怎么弄</a>
					<div>
						问题描述 lucene的分组统计怎么弄 怎么或许到文档数据,然后分组统计出来,这几天一直在郁闷这个, 解决方案 http://blog.163.com/liugangc@126/blog/static ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVrWBb.html" rel="bookmark" class="title">DBMS&lowbar;STATS&period;GATHER&lowbar;SCHEMA&lowbar;STATS介绍使用</a>
					<div>
						dbms_stats能良好地估量统计数据(尤其是针对较大的分区表),并能取得更好的统计后果,最终制订出速度更快的SQL施行计划. exec dbms_stats.gather_schema_stats ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My37xJz.html" rel="bookmark" class="title">登陆-javaEE 如何防止一个人注册两个账号呢？</a>
					<div>
						问题描述 javaEE 如何防止一个人注册两个账号呢? 我想做一个网站,这个网站的用户是一个人一个号码的. 不允许一个人注册两个号码. 除了身份验证以外,还有查看登陆ip以外还有什么方法可以防止,一人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7BqvM.html" rel="bookmark" class="title">Rook存储：Kubernetes中最优秀的存储</a>
					<div>
						本文讲的是Rook存储:Kubernetes中最优秀的存储[编者的话]Rook存储集群,其实是在著名的分布式存储系统Ceph的一个封装,以Kubernetes Application的方式运行了监控. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmK0Eqb.html" rel="bookmark" class="title">javascript获取当前鼠标坐标的方法&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了javascript获取当前鼠标坐标的方法.分享给大家供大家参考.具体实现方法如下: 对于javascript获取当前鼠标坐标来说,得对不同浏览器的坐标位置有所了解.具体代码如下: 复制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq5Jjb.html" rel="bookmark" class="title">IHTMLElement如何实现HtmlElement&period;invokemember&lpar;&rpar;的功能</a>
					<div>
						问题描述 程序的目的是自动登录某网站.网站的部分源码如下:&lt;tdalign=&quot;center&quot;bgcolor=&quot;#3881c4&quot;&gt;用户名:&lt;IN ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDn6YWM.html" rel="bookmark" class="title">数据对接&mdash;kettle使用之四</a>
					<div>
						上一篇介绍了表输出插件,并通过实例介绍插件的简单使用,如果有这样的需求大家可以参考一下并深入研究插件的其它细节设置.这一篇我们介绍和表输出对应的插件(表输入)的使用. 表输入: 1. 从步骤插入数据: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBv0jz.html" rel="bookmark" class="title">乌云曝小米论坛被脱裤 用户资料大量泄漏</a>
					<div>
						知名安全平台乌云今天发布了一个重大的漏洞信息,小米论坛被脱裤,导致用户资料大量泄漏,乌云称,泄漏或将影响小米移动云等敏感信息.随后小米官方确认了该消息,称部分2012年8月前注册的论坛账号信息被非法获 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYKQ5b.html" rel="bookmark" class="title">当当网促销旺季，拉来供应商一同&OpenCurlyDoubleQuote;参战&rdquo;</a>
					<div>
						临近11月,电商行业在迎来光棍节大促销的同时逐渐进入年底消费旺季,各大电商网站的促销力度明显加强,平台商与供应商之间的不和谐之声也大了起来. 昨天,一部分当当网的供应商称收到通知,通知中表示,该网站计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvY7r8b.html" rel="bookmark" class="title">PHP Error与Logging函数的深入理解&lowbar;php实例</a>
					<div>
						PHP Error与Logging 简介error与logging 函数允许你对错误进行处理和记录.error 函数允许用户定义错误处理规则,并修改记录错误的方式.logging 函数允许用户对应用程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEDNjp.html" rel="bookmark" class="title">laravel容器延迟加载以及auth扩展详解&lowbar;php实例</a>
					<div>
						昨天按照手册教程,动手写一个Auth扩展,按照包独立性的原则,我不希望将Auth::extend()这种方法写在 start.php 中,毫无疑问,我选择了在服务提供器register()方法中注册扩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWaWdz.html" rel="bookmark" class="title">ORACLE 12C RAC修改ocr&sol;votedisk&sol;asm spfile所在磁盘组名称</a>
					<div>
						今天看着我这个单节点的12C rac,突然觉得ocr所在的磁盘组叫做+DG_SYS有点不舒服,想改成+SYS_DG.处理方法是先把ocr/votedisk/asm spfile迁移到已经存在的asm中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2jD1M.html" rel="bookmark" class="title">请教：WSDL怎么给message中的part节点加上名字空间？</a>
					<div>
						问题描述 我这有个WSDL,生成的SOAP消息是这样的,怎么给Test节点下面的request节点加上名字空间呢?&lt;SOAP-ENV:Envelopexmlns:SOAP-ENV=&quot;h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLn6gM.html" rel="bookmark" class="title">在Red Hat上加Simsun&period;ttc字体</a>
					<div>
						以Red Hat 7.3 为例, 安装时选取http://www.aliyun.com/zixun/aggregation/23115.html&quot;&gt;简体中文安装, 先复制一个simsu ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
